import subprocess
some_command = 'srun /home/rhussain/miniconda3/envs/uhi_env/bin/python --version'
out = subprocess.Popen(['sbatch','--job-name=urban_heat_islands_',
'--output=urban_heat_islands_check.output',
'--account=eros',
'--partition=workq',
'--nodes=1',
'--ntasks=1',
'--cpus-per-task=70',
'--time=2-00:00:00',
'--mail-type=ALL',
'--mail-user=rhussain@contractor.usgs.gov',
'--wrap='+some_command+'',
], 
    stdout=subprocess.PIPE, 
    stderr=subprocess.STDOUT)
stdout,stderr = out.communicate()
print(subprocess.list2cmdline(out.args))
print(stdout)